/* GRAVITY FORMS FORMATTING*/
.gform_wrapper {
	--arrow-right: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 320 512'%3E%3Cpath d='M278.6 233.4c12.5 12.5 12.5 32.8 0 45.3l-160 160c-12.5 12.5-32.8 12.5-45.3 0s-12.5-32.8 0-45.3L210.7 256 73.4 118.6c-12.5-12.5-12.5-32.8 0-45.3s32.8-12.5 45.3 0l160 160z' fill='white' /%3E%3C/svg%3E");
	--arrow-left: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 320 512'%3E%3Cpath d='M41.4 233.4c-12.5 12.5-12.5 32.8 0 45.3l160 160c12.5 12.5 32.8 12.5 45.3 0s12.5-32.8 0-45.3L109.3 256l137.3-137.4c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0l-160 160z' fill='%23757575' /%3E%3C/svg%3E");
	margin-bottom: 2rem;

	& .gform-field-label {
		font-weight: 700 !important;
		font-size: 1rem;
		line-height: 1.333rem;
	}

	& .gfield_required_text {
		display: none;
	}

	& .ginput_container input {
		background: #ffffff;
		border: 1px solid #c4c4c4 !important;
		border-radius: 0 !important;
		padding: 12px !important;
		font-size: inherit !important;
		box-shadow: none !important;
		color: #6b6b6b !important;
		transition: all .5s;

		&:not(.gfield-choice-input) {
			height: calc(2em + 20px) !important;
		}
	}

	& :is(.gform_button, .gform-theme-button) {
		background: var(--spryg--preset--color--green) !important;
		border: 0 !important;
		border-radius: 0 !important;
		padding: .9rem .5rem !important;
		color: var(--spryg--preset--color--white) !important;
		font-size: 1rem !important;
		font-weight: 700 !important;
		text-transform: uppercase !important;

		&:hover {
			background-color: var(--spryg--preset--color--green) !important;
		}

		&.gform_next_button {
			padding: .9rem 1.6rem .9rem .5rem !important;
			background: var(--spryg--preset--color--green) var(--arrow-right) right .6rem center / 8px 15px no-repeat !important;
		}

		&.gform_previous_button {
			color: var(--spryg--preset--color--grey) !important;
			box-shadow: none !important;
			padding: 0 0 0 1.6rem !important;
			text-decoration: underline !important;
			background: transparent var(--arrow-left) left .6rem center / 8px 15px no-repeat !important;
		}
	}

	&:not(:has(.gform_page)) {
		.gform_button {
			padding: .9rem 1.6rem .9rem .5rem !important;
			background: var(--spryg--preset--color--green) var(--arrow-right) right .6rem center / 8px 15px no-repeat !important;
		}
	}

	& .gform_page_footer {
		flex-direction: column-reverse;
		align-items: flex-start;
	}
}

.newsletter-action-up-to-date .gform_wrapper {
	margin: 0;

	& form[data-formid] {
		display: flex;
		flex-direction: row;
		align-items: flex-start;

		& .gform-footer {
			margin: 0;

			& .button {
				height: calc(2em + 20px) !important;
				text-transform: uppercase !important;
				padding: .4rem 1.6rem .4rem 1em !important;
				background-color: var(--spryg--preset--color--black) !important;
			}
		}
	}
}

footer .gform_wrapper {
	margin: 0;

	& form[data-formid] {
		display: flex;
		flex-direction: row;
		align-items: flex-start;

		& .gform-footer {
			margin: 0;

			& .button {
				height: calc(2em + 18px) !important;
				text-transform: uppercase !important;
				padding: .4rem 1.6rem .4rem 1em !important;
			}
		}
	}
}